---

- name: Verify
  hosts: all
  tasks:
    - name: Get stat for crt file
      stat:
        path: /etc/ssl/certs/my_ssl.crt
      register: crt_stat
    
    - name: Get stat for csr file
      stat:
        path: /etc/ssl/certs/my_ssl.csr
      register: csr_stat
    
    - name: Get stat for key file
      stat:
        path: /etc/ssl/private/my_ssl.key
      register: key_stat

    - name: Assert files exists
      assert:
        that:
        - crt_stat.stat.exists
        - csr_stat.stat.exists
        - key_stat.stat.exists

    - name: Check certificate Issuer
      shell: "openssl x509 -in /etc/ssl/certs/my_ssl.crt -text | grep \"Issuer: C = FR, ST = Bas-Rhin, L = Illkirch, O = POC, CN = mydomain.fr\""
      changed_when: false
    
    - name: Check certificate Subject
      shell: "openssl x509 -in /etc/ssl/certs/my_ssl.crt -text | grep \"Subject: C = FR, ST = Bas-Rhin, L = Illkirch, O = POC, CN = mydomain.fr\""
      changed_when: false
    
    - name: Check certiticate Signature Algorithm
      shell: "openssl x509 -in /etc/ssl/certs/my_ssl.crt -text | grep \"Signature Algorithm: sha256WithRSAEncryption\""
      changed_when: false
